
package de.ivu.elect.business.entschaedigung.control;

import java.util.List;

import de.ivu.elect.business.entschaedigung.entity.Auszahlung;
import de.ivu.elect.business.entschaedigung.entity.AuszahlungCalculated;
import de.ivu.elect.business.entschaedigung.entity.Entschaedigung;

public class AuszahlungExportObject {

  private final AuszahlungCalculated auszahlungCalculated;

  public AuszahlungExportObject(AuszahlungCalculated auszahlungCalculated) {
    super();

    this.auszahlungCalculated = auszahlungCalculated;
  }

  public AuszahlungCalculated getAuszahlungCalculated() {
    return auszahlungCalculated;
  }

  public Auszahlung getAuszahlung() {
    return getAuszahlungCalculated().getAuszahlung();
  }

  public List<Entschaedigung> getEntschaedigungen() {
    return getAuszahlungCalculated().getEntschaedigungen();
  }
}
